JSON-RPCMethods

web3_clientVersion: parameters, returns and CU

Return the client name and version string of the node.

Summary

Return the client name and version string of the node.

Compute units (CU) and pricing

CU per call

10 CU

Price per 1M calls (USD)

$1.00

Parameters

This method takes no parameters.

Returns

  • Type: string
  • Description: Client version string, for example "Geth/v1.x.x/...".

Notes

The string format is client-specific and not standardized.

Request example

export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "web3_clientVersion",
    "params": [],
    "id": 1
  }'

Supported chains

Available on all 29 supported chains.

Last updated: